#!/usr/bin/env python
import coral

st = coral.Project()
m = coral.lang.UML14.Model()
m.__setProject__(st)

failed = 0

st.setFilename("/this-cant-be-saved-so-it-will-throw.xmi")

try:
    coral.saveDocument(st)
except:
    failed = 1

assert failed
